#pragma once
#include "afxwin.h"
#include "art.h"
#include "datenbank.h"
#include "massnahme.h"
#include "gruenland.h"

// steckbrief_lebensraum_neu-Dialogfeld

class steckbrief_lebensraum_neu: public CDialog
{
    DECLARE_DYNAMIC (steckbrief_lebensraum_neu)

public:
    steckbrief_lebensraum_neu( CWnd* pParent = NULL); // Standardkonstruktor
    virtual ~steckbrief_lebensraum_neu();

// Dialogfelddaten
    enum
    {
        IDD = IDD_DIALOG_Steckbrief_Lebensraum
    };

protected:
    virtual void DoDataExchange( CDataExchange* pDX); // DDX/DDV-Unterstützung

    DECLARE_MESSAGE_MAP()
public:
    BOOL PreTranslateMessage(MSG* pMsg);
    BOOL OnInitDialog();afx_msg
    void OnBnClickedCancel();
    CString m_nummer;
    CString m_name;
    CString m_name_latein;afx_msg
    void OnEnKillfocusNummer();afx_msg
    void OnEnKillfocusname();afx_msg
    void OnEnKillfocuslnamelatein();
    CString m_person;afx_msg
    void OnEnKillfocusPerson();

    afx_msg
    void OnBnClickedOk();

    int m_nCurHeight;
    int m_nScrollPos;
    CRect m_rect;

    art* nart;
    gruenland* gruen_schwach;
    gruenland* gruen_stark;

    afx_msg
    void OnSize( UINT nType, int cx, int cy);afx_msg
    void OnVScroll( UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);afx_msg
    void OnLbnSelchangeListschwachmassnahmen();

    datenbank* daten;
    void getdata();

    //struct artenanzahl{CString artname;int zaehler;};
    CMultiDocTemplate *m_pTemplateI;
    massnahme** massnahmenliste;
    vector< massnahme> mliste_schwach, mliste_stark;
    string name, savetime;
    massnahme m;afx_msg
    void OnCbnSelchangeMassnahmenart();afx_msg
    void OnCbnSelchangeMassnahmenstart();afx_msg
    void OnCbnSelchangeMassnahmenabstand();afx_msg
    void OnCbnSelchangeMassnahmengv();afx_msg
    void OnCbnSelchangeComboArt();

    CListBox m_liste_gmassnahme_stark;
    CListBox m_liste_gmassnahme_schwach;
    CComboBox m_massnahmenart;
    CComboBox m_massnahmenstart;
    CComboBox m_massnahmenabstand;
    CComboBox m_massnahmeGV;
    CString namemassnahme;
    int mv1massnahme;
    int abstand2massnahme;
	int abstand3massnahme;
    bool duengung_gewaehlt;
    bool duengung;
    bool streifenmahd;
    bool mager;
    bool hoehegew;
    bool hoch;
    bool egal;
    bool bodengew;
    int massnahmeID;
    double zahlung;
    double grossvieheinheit;
    bool gvgewaehlt;
    bool tierartgewaehlt;
    int tierart;
    CComboBox m_massnahmetierart;
    CButton m_d_ja;
    CButton m_d_nein;
    CButton m_stark;
    CButton m_schwach;afx_msg
    void OnBnClickedDuengungja();afx_msg
    void OnBnClickedDuengungnein();afx_msg
    void OnBnClickedstark();afx_msg
    void OnBnClickedschwach();afx_msg
    HBRUSH OnCtlColor( CDC* pDC, CWnd* pWnd, UINT nCtlColor);
    CBrush m_brush;afx_msg
    void OnBnClickedHoch();afx_msg
    void OnBnClickedTief();afx_msg
    void OnBnClickedEgal();
    CEdit m_trocken;
    CEdit m_frisch;
    CEdit m_feucht;afx_msg
    //void OnLbnDblclkListstarkmassnahmen();afx_msg
    //void OnLbnDblclkListschwachmassnahmen();afx_msg
    void OnBnClickedDatenbearbeiten();afx_msg
    void OnBnClickedDatena();
	afx_msg void OnCbnSelchangeMassnahmenabstand3();
	CComboBox massnahmenabstand3;
	afx_msg void OnBnClickedListestarkerase();
	afx_msg void OnBnClickedListeschwacherase();
	CButton button_erase_stark;
	CButton button_erase_schwach;
};
